package com.gic.store.dao.mapper;

import com.gic.store.entity.TabGicEnterpriseLicense;

public interface EnterpriseLicenseMapper {
    /**
     * 根据主键删除
     *
     * @param enterpriseLicenseId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer enterpriseLicenseId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabGicEnterpriseLicense record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabGicEnterpriseLicense record);

    /**
     * 根据主键查询
     *
     * @param enterpriseLicenseId 主键
     * @return 实体对象
     */
    TabGicEnterpriseLicense selectByPrimaryKey(Integer enterpriseLicenseId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabGicEnterpriseLicense record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabGicEnterpriseLicense record);
}