package com.gic.store.dao.mapper;

import com.gic.store.entity.TabGicStoreBusinessTime;

public interface StoreBusinessTimeMapper {
    /**
     * 根据主键删除
     *
     * @param storeBusinessTimeId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeBusinessTimeId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabGicStoreBusinessTime record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabGicStoreBusinessTime record);

    /**
     * 根据主键查询
     *
     * @param storeBusinessTimeId 主键
     * @return 实体对象
     */
    TabGicStoreBusinessTime selectByPrimaryKey(Integer storeBusinessTimeId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabGicStoreBusinessTime record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabGicStoreBusinessTime record);
}